| FlexDoc/XML XSDDoc Demo | XML Schemas for MathML 3.0

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML Schema "mathml3-common.xsd"
Target Namespace:
http://www.w3.org/1998/Math/MathML
Defined Components:
elements (top-level / other; 3 global + 1 local), complexTypes (1), simpleTypes (1), element groups (2), attribute groups (9)
Default Namespace-Qualified Form:
Local Elements: qualified; Local Attributes: unqualified
Schema Location:
http://www.w3.org/Math/XMLSchema/mathml3/mathml3-common.xsd; see XML source
Included in Schemas (1):
mathml3.xsd [src]

Top-Level Element Summary (root element candidates)
m:math |
Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType
Content: | complex, 100 attributes, attr. wildcard, 60 elements
Defined: | globally; see XML source
Referenced: | never

All Other Element Summary
m:annotation |
Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType
Content: | mixed, 11 attributes, attr. wildcard
Defined: | globally; see XML source
Referenced: | by 3 locations
m:annotation-xml |
Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType (extension of m:annotation-xml.model)
Content: | complex, 11 attributes, attr. wildcard, elem., wildcard
Defined: | globally; see XML source
Referenced: | by 3 locations
m:semantics (defined in group m:semantics) |
Namespace: | http://www.w3.org/1998/Math/MathML
Type: | anonymous complexType
Content: | complex, 10 attributes, attr. wildcard, 62 elements
Defined: | locally in group m:semantics; see XML source
Includes: | declarations of 2 elements

Complex Type Summary
m:annotation-xml.model |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | complex, elem. wildcard
Defined: | globally; see XML source
Includes: | declaration of elem. wildcard
Referenced: | by 1 location

Simple Type Summary
m:length |
Namespace: | http://www.w3.org/1998/Math/MathML
Derived By: | restriction of xs:string
Defined: | globally; see XML source
Referenced: | by 72 locations

Element Group Summary
m:anyElement |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 2 elem. wildcards
Defined: | globally; see XML source
Includes: | declarations of 2 elem. wildcards
Referenced: | never
m:semantics |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 element
Referenced: | by 1 location

Attribute Group Summary
m:annotation.attributes |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 11 attributes, attr. wildcard
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 2 locations
m:cd |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 1 attribute
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | never
m:CommonAtt |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 6 attributes, attr. wildcard
Defined: | globally; see XML source
Includes: | declarations of 5 attributes, attr. wildcard
Referenced: | by 104 locations
m:CommonDeprecatedAtt |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 1 attribute
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
m:DefEncAtt |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 2 attributes
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 62 locations
m:math.deprecatedattributes |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 2 attributes
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
m:name |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 1 attribute
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | never
m:semantics.attributes |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 10 attributes, attr. wildcard
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 3 locations
m:src |
Namespace: | http://www.w3.org/1998/Math/MathML
Content: | 1 attribute
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations

XML Source
<?xml version="1.0" encoding="UTF-8"?>
<xs:schema elementFormDefault="qualified" targetNamespace="http://www.w3.org/1998/Math/MathML" xmlns:m="http://www.w3.org/1998/Math/MathML" xmlns:xs="http://www.w3.org/2001/XMLSchema">
<xs:element name="math">
<xs:complexType>
<xs:group maxOccurs="unbounded" minOccurs="0" ref="m:MathExpression"/>
<xs:attributeGroup ref="m:math.attributes"/>
</xs:complexType>
</xs:element>
<xs:attributeGroup name="CommonDeprecatedAtt">
<xs:attribute name="other"/>
</xs:attributeGroup>
<xs:attributeGroup name="CommonAtt">
<xs:attribute name="id" type="xs:ID"/>
<xs:attribute name="xref"/>
<xs:attribute name="class" type="xs:NMTOKENS"/>
<xs:attribute name="style" type="xs:string"/>
<xs:attribute name="href" type="xs:anyURI"/>
<xs:attributeGroup ref="m:CommonDeprecatedAtt"/>
<xs:anyAttribute namespace="##other" processContents="skip"/>
</xs:attributeGroup>
<xs:attributeGroup name="math.deprecatedattributes">
<xs:attribute name="mode" type="xs:string"/>
<xs:attribute name="macros" type="xs:string"/>
</xs:attributeGroup>
<xs:attributeGroup name="name">
<xs:attribute name="name" type="xs:NCName" use="required"/>
</xs:attributeGroup>
<xs:attributeGroup name="cd">
<xs:attribute name="cd" type="xs:NCName" use="required"/>
</xs:attributeGroup>
<xs:attributeGroup name="src">
<xs:attribute name="src" type="xs:anyURI"/>
</xs:attributeGroup>
<xs:element name="annotation">
<xs:complexType mixed="true">
<xs:attributeGroup ref="m:annotation.attributes"/>
</xs:complexType>
</xs:element>
<xs:complexType name="annotation-xml.model">
<!--content model altered for libxml (annotation-xml)-->
<xs:sequence>
<xs:any processContents="lax"/>
</xs:sequence>
</xs:complexType>
<xs:group name="anyElement">
<xs:choice>
<xs:any namespace="##other" processContents="skip"/>
<xs:any namespace="##local" processContents="skip"/>
</xs:choice>
</xs:group>
<xs:element name="annotation-xml">
<xs:complexType>
<xs:complexContent>
<xs:extension base="m:annotation-xml.model">
<xs:attributeGroup ref="m:annotation.attributes"/>
</xs:extension>
</xs:complexContent>
</xs:complexType>
</xs:element>
<xs:attributeGroup name="annotation.attributes">
<xs:attributeGroup ref="m:CommonAtt"/>
<xs:attribute name="cd" type="xs:NCName"/>
<xs:attribute name="name" type="xs:NCName"/>
<xs:attributeGroup ref="m:DefEncAtt"/>
<xs:attributeGroup ref="m:src"/>
</xs:attributeGroup>
<xs:attributeGroup name="DefEncAtt">
<xs:attribute name="encoding" type="xs:string"/>
<xs:attribute name="definitionURL" type="xs:anyURI"/>
</xs:attributeGroup>
<xs:group name="semantics">
<xs:sequence>
<xs:element name="semantics">
<xs:complexType>
<xs:sequence>
<xs:group ref="m:MathExpression"/>
<xs:choice maxOccurs="unbounded" minOccurs="0">
<xs:element ref="m:annotation"/>
<xs:element ref="m:annotation-xml"/>
</xs:choice>
</xs:sequence>
<xs:attributeGroup ref="m:semantics.attributes"/>
</xs:complexType>
</xs:element>
</xs:sequence>
</xs:group>
<xs:attributeGroup name="semantics.attributes">
<xs:attributeGroup ref="m:CommonAtt"/>
<xs:attributeGroup ref="m:DefEncAtt"/>
<xs:attribute name="cd" type="xs:NCName"/>
<xs:attribute name="name" type="xs:NCName"/>
</xs:attributeGroup>
<xs:simpleType name="length">
<xs:restriction base="xs:string">
<xs:pattern value="\s*((-?[0-9]*([0-9]\.?|\.[0-9])[0-9]*(e[mx]|in|cm|mm|p[xtc]|%)?)|(negative)?((very){0,2}thi(n|ck)|medium)mathspace)\s*"/>
</xs:restriction>
</xs:simpleType>
</xs:schema>

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.